### Hierarchy

- Controller

## Index

### Properties

- $scope_
- datasets
- element_
- inputValue
- listeners
- ngeoNominatimService
- onSelect
- options
- placeholder

## Properties

### $scope_

$scope_: IScope

- Defined in src/routing/NominatimInputComponent.js:94

### datasets

datasets: Dataset<NominatimSearchResult>[]

- Defined in src/routing/NominatimInputComponent.js:119

### element_

element_: JQuery<HTMLElement>

- Defined in src/routing/NominatimInputComponent.js:89

### inputValue

inputValue: string

- Defined in src/routing/NominatimInputComponent.js:109

### listeners

listeners: SearchDirectiveListeners<NominatimSearchResult>

- Defined in src/routing/NominatimInputComponent.js:130

### ngeoNominatimService

ngeoNominatimService: NominatimService

- Defined in src/routing/NominatimInputComponent.js:99

### onSelect

onSelect: (arg0: Object) => void

- Defined in src/routing/NominatimInputComponent.js:104

#### Type declaration

- - (arg0: Object): void

  - #### Parameters

    - ##### arg0: Object

    #### Returns void

### options

options: Options

- Defined in src/routing/NominatimInputComponent.js:114

### placeholder

placeholder: string

- Defined in src/routing/NominatimInputComponent.js:137

Generated using TypeDoc